Channel Management/Works
Work Analytics
Interface description: Query statistics snapshots for a work on the specified platform. A code: 0 response does not guarantee metrics are available; when no collected work data matches, the response returns empty snapshots with a message and omits metrics.
GET
/
api
/
v2
/
channels
/
works
/
{platform}
/
{platformWorkId}
/
analytics
Work Analytics
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"platform": "string",
"accountId": "string",
"platformWorkId": "string",
"snapshots": [],
"message": "string"
},
"requestId": "string"
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Platform identification
Example:
"douyin"
Platform work ID
Example:
"7665952416433086310"
Query Parameters
Account ID
Minimum string length:
1start time
end time
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Work Analytics
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/works/{platform}/{platformWorkId}/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"platform": "string",
"accountId": "string",
"platformWorkId": "string",
"snapshots": [],
"message": "string"
},
"requestId": "string"
}
